# Class StringDataReader

java.lang.Object
java.io.Reader
java.io.BufferedReader
javajs.util.DataReader
javajs.util.StringDataReader

All Implemented Interfaces:
  `Closeable, AutoCloseable, Readable`

public class StringDataReader extends DataReader

## Field Summary

### Fields inherited from class DataReader

`ptMark`

### Fields inherited from class Reader

`lock`

## Constructor Summary

Constructors
Constructor
Description
`StringDataReader()`
`StringDataReader(String data)`

## Method Summary

Modifier and Type
Method
Description
`DataReader`
`setData(Object data)`

### Methods inherited from class DataReader

`getBufferedReader, readBuf`

### Methods inherited from class BufferedReader

`close, lines, mark, markSupported, read, read, readLine, ready, reset, skip`

### Methods inherited from class Reader

`nullReader, of, read, read, readAllAsString, readAllLines, transferTo`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### StringDataReader

public StringDataReader()

### StringDataReader

public StringDataReader(String data)

## Method Details

### setData

public DataReader setData(Object data)

Specified by:
  `setData` in class `DataReader`